Summary: XFrisk, a multi-user network version of the classic "Risk"
Name: xfrisk
Version: 1.2
Release: %mkrel 8
Group: Games/Strategy
Source: http://www.iki.fi/morphy/xfrisk/XFrisk-%{version}.tar.gz
Patch0: XFrisk-mdk.patch
Patch1: XFrisk-1.2-fix-str-fmt.patch
License: GPL
URL: http://www.iki.fi/morphy/xfrisk
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: X11-devel
BuildRequires: Xaw3d-devel
Obsoletes: XFrisk < %version-%release
Provides: XFrisk = %version-%release

%description
XFrisk a multi-user network version of the classic "Risk"

%prep
%setup -qn XFrisk
%patch0 -p1 -b .mdk
%patch1 -p0 -b .str

%build
make PREFIX=%_prefix CC="gcc %{optflags}" LDFLAGS="%{?ldflags}"

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=%buildroot%_prefix install

mkdir -p %buildroot%_datadir/applications
cat << EOF >%buildroot%_datadir/applications/mandriva-%name.desktop
[Desktop Entry]
Name=XFrisk
Comment=A multi-user network version of the classic "Risk"
Exec=%_bindir/risk
Icon=strategy_section
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,games,games,-)
%{_datadir}/xfrisk
%{_bindir}/risk
%{_bindir}/xfrisk
%{_bindir}/friskserver
%{_bindir}/aiDummy
%{_bindir}/aiConway
%{_bindir}/aiColson
%_datadir/applications/mandriva-%name.desktop
%doc BUGS
%doc ChangeLog
%doc FAQ
%doc README.NEW
%doc TODO


%changelog
* Mon Apr 06 2009 Funda Wang <fundawang@mandriva.org> 1.2-8mdv2009.1
+ Revision: 364358
- fix binary name
- add desktop item
- fix str fmt
- unzip the patch

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2-6mdv2009.0
+ Revision: 262431
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2-5mdv2009.0
+ Revision: 257063
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.2-3mdv2008.1
+ Revision: 136605
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import XFrisk


* Wed Mar 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2-3mdk
- Fix BuildRequires

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2-2mdk
- Fix BuildRequires

* Wed Mar 16 2005 Bruno Cornec <bcornec@mandrakesoft.org> 1.2-1mdk
- First version
